#ifndef __UDS_22SERVICE_Main_H
#define __UDS_22SERVICE_Main_H

#include "stdint.h"
#include "UDS_22Service_Filter.h"
#include "UDS_22Service_Internal.h"

void UDS_Service_22_Indication(uint32_t A_TA_type, uint16_t A_Length, uint8_t A_Data[]);
void UDS_22Service_DID(void);
void UDS_22Service_DID_0200(void);
void UDS_22Service_DID_0201(void);
void UDS_22Service_DID_7101(void);
void UDS_22Service_DID_7102(void);
void UDS_22Service_DID_7103(void);
void UDS_22Service_DID_7104(void);
void UDS_22Service_DID_DFEC(void);
void UDS_22Service_DID_DFED(void);
void UDS_22Service_DID_DFEE(void);
void UDS_22Service_DID_DFEF(void);
void UDS_22Service_DID_F100(void);
void UDS_22Service_DID_F101(void);
void UDS_22Service_DID_F102(void);
void UDS_22Service_DID_F110(void);
void UDS_22Service_DID_F112(void);
void UDS_22Service_DID_F113(void);
void UDS_22Service_DID_F180(void);
void UDS_22Service_DID_F182(void);
void UDS_22Service_DID_F186(void);
void UDS_22Service_DID_F187(void);
void UDS_22Service_DID_F189(void);
void UDS_22Service_DID_F18A(void);
void UDS_22Service_DID_F18B(void);
void UDS_22Service_DID_F18C(void);
void UDS_22Service_DID_F190(void);
void UDS_22Service_DID_F191(void);
void UDS_22Service_DID_F193(void);
void UDS_22Service_DID_F195(void);
void UDS_22Service_DID_F197(void);
void UDS_22Service_DID_F198(void);
void UDS_22Service_DID_F199(void);
void UDS_22Service_DID_F1A2(void);

#endif